print("Setting Up Terrain Types")

--Terrain Entry Table
--special note non"valid" terrain types are usefulful for softening edges
--Index, valid, resistance, dirt, concrete, grass, curb)

setTerrainEntry(0, false, 1, false, false, false, false); --default black
setTerrainEntry(1, true, 1,  true, false, false, false); --dirt yellow
setTerrainEntry(2, true, 1,  false, false, false, false); --?? red
setTerrainEntry(3, true, 3,  true, false, false, true); --raised dirt blue
setTerrainEntry(4, true, 1.25, true, false, false, false); --grass green
setTerrainEntry(5, true, 0.85, false, true, false, false); --pavement white
setTerrainEntry(6, true, 0.85, false, true, false, false); --reserved fuscha
setTerrainEntry(7, true, 0.85, false, true, false, false); --reserved orange
setTerrainEntry(8, true, 5, true, false, false, false); --areaMap aqua
setTerrainEntry(9, true, 3, true, false, false, false); --areamapfast gray
setTerrainEntry(10, true, 8, true, false, false, false); --areamapslow pink
--setTerrainEntry(11, true, 3, true, false, false, false); --purple
--setTerrainEntry(12, true, 3, true, false, false, false); --peach
--setTerrainEntry(13, true, 3, true, false, false, false); --lavender
--setTerrainEntry(14, true, 3, true, false, false, false); --lemon
--setTerrainEntry(15, true, 3, true, false, false, false); --skyblue




